Skip to main content
PATCH
/
email
/
inboxes
/
{inbox_id}
/
messages
/
{id}
Typescript (SDK)
import { Crevio } from "@crevio/sdk";

const crevio = new Crevio({
  apiKey: process.env["CREVIO_API_KEY"] ?? "",
});

async function run() {
  const result = await crevio.email.inboxes.messages.update({
    inboxId: "<id>",
    id: "<id>",
  });

  console.log(result);
}

run();
curl --request PATCH \
  --url https://api.crevio.co/v1/email/inboxes/{inbox_id}/messages/{id} \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "add_labels": [
    "<string>"
  ],
  "remove_labels": [
    "<string>"
  ]
}
'
import requests

url = "https://api.crevio.co/v1/email/inboxes/{inbox_id}/messages/{id}"

payload = {
    "add_labels": ["<string>"],
    "remove_labels": ["<string>"]
}
headers = {
    "Authorization": "<api-key>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'PATCH',
  headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
  body: JSON.stringify({add_labels: ['<string>'], remove_labels: ['<string>']})
};

fetch('https://api.crevio.co/v1/email/inboxes/{inbox_id}/messages/{id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "object": "<string>",
  "id": "<string>",
  "thread_id": "<string>",
  "inbox_id": "<string>",
  "message_id": "<string>",
  "in_reply_to": "<string>",
  "references": [
    "<string>"
  ],
  "from": "<string>",
  "to": "<array>",
  "cc": "<array>",
  "bcc": "<array>",
  "reply_to": "<string>",
  "subject": "<string>",
  "preview": "<string>",
  "labels": [
    "<string>"
  ],
  "delivery": {},
  "attachments": "<array>",
  "text": "<string>",
  "html": "<string>",
  "timestamp": "<string>",
  "created_at": "2023-11-07T05:31:56Z"
}
{
  "error": {
    "type": "invalid_request_error",
    "code": "authentication_required",
    "message": "You did not provide an API key."
  }
}
{
  "error": {
    "type": "invalid_request_error",
    "code": "forbidden",
    "message": "You do not have permission to perform this action"
  }
}
{
  "error": {
    "type": "invalid_request_error",
    "code": "resource_missing",
    "message": "The requested resource was not found"
  }
}
{
  "error": {
    "type": "validation_error",
    "code": "validation_failed",
    "message": "Email is required",
    "errors": {
      "email": [
        "can't be blank"
      ]
    }
  }
}

Authorizations

Authorization
string
header
required

API key in the format: Bearer {api_token}

Path Parameters

inbox_id
string
required

Inbox id (inbox_…)

id
string
required

Message id

Body

application/json
add_labels
string[]
remove_labels
string[]

Response

Updated

object
string
required
id
string
required
thread_id
string
required
inbox_id
string
required
direction
enum<string>
required
Available options:
inbound,
outbound
status
enum<string>
required
Available options:
received,
queued,
sent,
delivered,
bounced,
complained,
failed
message_id
string
required
in_reply_to
string | null
required
references
string[]
required
from
string
required
to
array
required
cc
array
required
bcc
array
required
reply_to
string | null
required
subject
string | null
required
preview
string | null
required
labels
string[]
required
delivery
object
required
attachments
array
required
text
string
required
html
string
required
timestamp
string
required
created_at
string<date-time>
required